Multivariate Pattern Analysis in Python

# mvpa2.base.progress.eta_string

`mvpa2.base.progress.``eta_string`(start_time, progress, msg=None, progress_bar_width=18, show_percentage=True)

  Simple linear extrapolation to estimate how much time is needed to complete a task.

  Parameters:

  starttime

  > Time the tqsk started, from ‘time.time()’

  progress: float

  > Between 0 (nothing completed) and 1 (fully completed)

  msg: str (optional)

  > Message that describes progress - is added to the output

  progress_bar_width: int (default: 18)

  > Width of progress bar. If zero then no progress bar is shown.

  show_percentage: bool (default: True)

  > Show progress in percentage?

  Returns:

  eta

  > Estimated time until completion formatter pretty,

  Notes

  ETA refers to “estimated time of arrival”.